LinuxRSP.ru Forum Статьи | Новости | Новости почтой | Аналоги программ windows и Linux |

Командная строка Linux. Полное руководство
Внимание! Для регистрации на форуме отправьте желаемый логин и пароль (потом можно сменить) через форму обратной связи
16 Январь 2018, 09:36:25 *
Добро пожаловать, Гость. Пожалуйста, войдите или зарегистрируйтесь.

Войти
Новости: Ruby on Rails 4.2
 
   Начало   Помощь Поиск Войти Регистрация  
Страниц: [1]
  Печать  
Автор Тема: Проблемка с пакетом apt...  (Прочитано 10979 раз)
LexSmooth
Newbie
*
Сообщений: 1


Просмотр профиля
« : 01 Март 2009, 10:13:30 »

Здраствуйте, подскажите что мне делать в данной ситуации:
Решил поставить пакет APT, а оказалось что он у меня уже установлен, но он не в какую не устанавливал из внешних репозитариев, а ставил все с диска с дистрибутивом... решел я его переставить но он выдал мне вот такое сообщение libapt = 0.5.15lorg2-alt23 is needed by apt-0.5.15lorg2-alt23
/etc/apt/pkgpriorities is needed by apt-0.5.15lorg2-alt23
apt-conf is needed by apt-0.5.15lorg2-alt23
libapt-pkg-libc6.9-6.so.2 is needed by apt-0.5.15lorg2-alt23
libstdc++.so.6(GLIBCXX_3.4.9) is needed by apt-0.5.15lorg2-alt23
и не в какую не ставиться, затем я решил удались его через МС под рутом из папки ЕТС, удалил ног при попытке установки он выдает все тоже самое, я уже из другова установленного линукса выдрал эту папку, но результат тот же не устанавливается, и пишет при наборе команды что он не найден... как мне выкрутиться из сложившейся ситуации?
Заранее благодарен.
линукс использую Альт Десктоп 4,1,1
Записан
Sorex
Global Moderator
Sr. Member
*****
Сообщений: 350


Просмотр профиля WWW
« Ответ #1 : 02 Март 2009, 12:33:19 »

ну вы и накрутили Улыбающийся
естественно он установлен!
обновлять и удалять его не надо!
в /etc/ находятся его настройки, а не он сам

Как восстановить:

1) найдите на диске (dvd) пакет apt (он назваается типа apt-0.5.15lorg2-alt20.M41.1.i586.rpm - цыфры могут быть не много другие)   в /media/cdrom/ALTLinux/RPMS.base

2) зайдите в него mc (как в архив)  там будет файл content.cpio, зайдите теперь в него, скопируйте там внутри все из /etc/apt  в ваш /etc/apt на жестком диске.

3) выйдите опять  в /media/cdrom/ALTLinux/RPMS.base

4) затем там же, найдите пакет apt-conf-desktop-4.1-alt0.M41.5.i586.rpm
ана логично:
зайдите в него mc (как в архив)  там будет файл content.cpio, зайдите теперь в него, скопируйте там внутри все из /etc/apt  в ваш /etc/apt на жестком диске.

5) запомните - все пакеты устанавливаются через apt (и никаих mc изпод рута Улыбающийся
 найдите в меню  KDE "Установка пакетов"  (synаptic)  там выберете нужные пути для обновления нажмите кнопку "получить сведения", затем отметте нужные пакеты для обновления и нажмите "применить".

6) обратите внимание, что основное зеркало (ftp.altlinux.org) сейчас недоступно (будет работать через 1-2 дня)

7) Читаем тут:
http://www.altlinux.org/APT_%D0%B2_ALT_Linux
тут:
http://www.altlinux.org/APT_%D0%B2_ALT_Linux
и далее



« Последнее редактирование: 02 Март 2009, 12:39:50 от Sorex » Записан
Vsemkoma
Newbie
*
Сообщений: 1

244223463 dasha@v7em.com
Просмотр профиля
« Ответ #2 : 17 Ноябрь 2010, 05:56:11 »

В ALTLinux уже давно нет пакетов i386.
В Branch есть i586, noarch, x86_64.
# apt-cdrom add
не ищет то, чего нет, поэтому и не ругается, а
# apt-get update
честно сказал, что по указанному в sources.list пути ничего нет.
Записан
Felune
Newbie
*
Сообщений: 8


Человеческая жизнь похожа на коробку спичек. Обращаться с ней серьезно - смешно. Обращаться несерьезно - опасно.

785652147 keralas@mail.ru
Просмотр профиля
« Ответ #3 : 09 Сентябрь 2011, 01:29:18 »

Спосибо большое за совет Да,,дело все оказалось не в коробке а в тягеточнее в отсутствие пружинки ,которая чуть оттягивает ЕЁ    Вот теперь парюсь-ищу пружинку
Записан

Человеческая жизнь похожа на коробку спичек. Обращаться с ней серьезно - смешно. Обращаться несерьезно - опасно.
Страниц: [1]
  Печать  
 
Перейти в:  



Главная | Новости | Статьи | Каталог ссылок
Новости о Linux на Email, общение | Аналоги Windows-Linux программ
Связь | О проекте LinuxRSP | Реклама
© 1999-2017 LinuxRSP

Рейтинг@Mail.ru Ramblers Top100

Powered by SMF 1.1.21 | SMF © 2018, Simple Machines